## OneSciencePlace(OSP) launcher scripts for Tapis

## Fork systems
1. Clone this repo into some common folder on the FORK system
2. Make sure all `osp_launcher*.sh` scripts inside `fork/` are readable + executable by all necessary system accounts (e.g., `ubuntu`)
3. Build the docker image for revssh-client: `cd ./fork/revssh && ./build_image.sh`
    - This will create a `revssh-client:v5` docker image, that is then used by the `osp_launcher.sh` script.
4. Make sure that the Tapis FORK system uses the `osp_launcher.sh` script inside the `fork/` folder

## Batch systems
1. Clone this repo into some common folder on the FORK system
2. Make sure all `osp_launcher*.sh` scripts inside `batch/` are readable + executable by all necessary system accounts (e.g., `ubuntu`)
3. Make sure that the Tapis BATCH system uses the `osp_launcher.sh` script inside the `batch/` folder
